<?php
/*
Plugin Name: IWACU Open Data in English
Plugin URI: http://www.ohmybox.info
Description: Display the last 3 updates from IWACU Open Data
Version: 1.1
Author: Laurence/OhMyBox.info
Author URI: http://www.ohmybox.info
Text domain: iwacu_open_data_en
Domain Path: /languages/
License: GPL2
iod Posts is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
any later version.
Simple Long Form  is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
*/
defined( 'ABSPATH' ) or die( 'Tsssssttttt!' );
function iwacu_open_data_en_init() {
 load_plugin_textdomain( 'iwacu_open_data_en', false, dirname( plugin_basename(__FILE__) ) . '/languages/' );
}
add_action('init', 'iwacu_open_data_en_init');


class iwacu_open_data_en_widget extends WP_Widget {
    function iwacu_open_data_en_widget() {
        parent::__construct(false, $name = 'IWACU Open Data', array('description' => 'Display the last 3 open datasets published on IWACU Open Data portal.'));
    }

	function widget($args, $instance) { ?>


<div id="iod-widget">
	
	<div id="iod_now">
	<?php $data = plugin_dir_url( __FILE__ ) . 'data.jpg'; ?>
			<img src="<?php echo $data; ?>" alt="IWACU Open Data">
	IWACU Open Data</div>
		
	<div id="iod_content">	
			<?php include_once( ABSPATH . WPINC . '/feed.php' );
			  $rss = fetch_feed( 'http://feeds.feedburner.com/IwacuOpenDataEN' );
			
				if ( ! is_wp_error( $rss ) ) :
					$maxitems = $rss->get_item_quantity( 3 ); 
					$rss_items = $rss->get_items( 0, $maxitems );
				endif; ?>
					
			<ul>					
				<?php foreach ( $rss_items as $item ) : ?>
				<li> 
					<a href="<?php echo esc_url( $item->get_permalink() ); ?>" target="_blank" title="<?php echo esc_html( $item->get_title() ); ?>">
					<?php echo esc_html( $item->get_title() ); ?></a>
				</li>
				<?php endforeach; ?>
				<li id="bottom"><a href="http://www.iwacu-burundi.org/opendata/en" title="IWACU Open Data" target="_blank">
				www.iwacu-burundi.org/opendata/en</a>
				</li>
			</ul>
	</div>
</div>
<?php }
	function form($instance) { ?>
		<h4>Display the last 3 datasets published on IWACU Open Data portal.</h4>
        <?php       
	}
}
add_action('widgets_init', 'register_iwacu_open_data_en_widget');


function register_iwacu_open_data_en_widget() {
    register_widget('iwacu_open_data_en_widget');
}

function ioden_high_priority_style() {
  wp_enqueue_style( 'ioden-style',  plugins_url( '/style.css', __FILE__ ) );
  wp_enqueue_style( 'OpenSans', 'https://fonts.googleapis.com/css?family=Open+Sans:400,700' );
}
add_action('wp_enqueue_scripts', 'ioden_high_priority_style', '999')

?>